Bug 674058 - 12:dhcp-4.2.1-0.2.b1.fc15.x86_64 requires perl(Win32API::Registry) >= 0:0.21
12:dhcp-4.2.1-0.2.b1.fc15.x86_64 requires perl(Win32API::Registry) >= 0:0.21
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dhcp (Show other bugs)
rawhide
Unspecified Linux
medium Severity high
: ---
: ---
Assigned To: Jiri Popelka
Fedora Extras Quality Assurance
:
: 674276 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-31 09:01 EST by Jiri Popelka
Modified: 2011-02-01 05:20 EST (History)
2 users (show)

See Also:
Fixed In Version: dhcp-4.2.1-0.3.b1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-31 10:11:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Popelka 2011-01-31 09:01:11 EST
Description of problem:

On 01/31/2011 02:21 PM, <snip> wrote:
> dhcp has broken dependencies in the rawhide tree:
> On x86_64:
> 	12:dhcp-4.2.1-0.2.b1.fc15.x86_64 requires perl(Win32API::Registry) >= 0:0.21
> On i386:
> 	12:dhcp-4.2.1-0.2.b1.fc15.i686 requires perl(Win32API::Registry) >= 0:0.21
> Please resolve this as soon as possible.


Actual results:
dhcp in rawhide requires perl(Win32API::Registry)
But AFAICT no package provides perl(Win32API::Registry) in Fedora.

Expected results:
dhcp doesn't require any perl module because all the perl scripts and modules we ship with dhcp are in _docdir

Additional info:
https://fedoraproject.org/wiki/Packaging:AutoProvidesAndRequiresFiltering
Comment 2 Jiri Popelka 2011-02-01 05:20:53 EST
*** Bug 674276 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.